package Model;

import java.util.LinkedList;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 28.05.2017.
 */
public class Arrangement {

  private LinkedList<Point> nodes;
  private LinkedList<Line> lines;

  public Arrangement() {
    nodes = new LinkedList<>();
    lines = new LinkedList<>();
  }

  public void addNode(Point node) {
    this.nodes.add(node);
  }

  public void addLine(Line line) {
    this.lines.add(line);
  }

  public LinkedList<Point> getNodes() {
    return nodes;
  }

  public LinkedList<Line> getLines() {
    return lines;
  }

  public void setLines(LinkedList<Line> lines) {
    this.lines = lines;
  }


}
